---
title: widows
slug: Web/CSS/widows
tags:
  - CSS
  - CSS Fragmentation
  - CSS Multi-column Layout
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>widows</code></strong> <a href="/en-US/docs/CSS">CSS</a> property sets the minimum number of lines in a block container that must be shown at the <em>top</em> of a <a href="/en-US/docs/Web/CSS/Paged_Media">page</a>, region, or <a href="/en-US/docs/Web/CSS/CSS_Columns">column</a>.</p>

<pre class="brush:css no-line-numbers notranslate">/* &lt;integer&gt; values */
widows: 2;
widows: 3;

/* Global values */
widows: inherit;
widows: initial;
widows: unset;
</pre>

<div class="note">
<p>In typography, a <em>widow</em> is the last line of a paragraph that appears alone at the top of a page. (The paragraph is continued from a prior page.)</p>
</div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;integer&gt;")}}</dt>
 <dd>The minimum number of lines that can stay by themselves at the top of a new fragment after a fragmentation break. The value must be positive.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Controlling_column_widows">Controlling column widows</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;p&gt;This is the first paragraph containing some text.&lt;/p&gt;
  &lt;p&gt;This is the second paragraph containing some more text than the first one. It is used to demonstrate how widows work.&lt;/p&gt;
  &lt;p&gt;This is the third paragraph. It has a little bit more text than the first one.&lt;/p&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; highlight[4] notranslate">div {
  background-color: #8cffa0;
  columns: 3;
  widows: 2;
}

p {
  background-color: #8ca0ff;
}

p:first-child {
  margin-top: 0;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Controlling_column_widows", 400, 160)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Fragmentation', '#widows-orphans', 'widows')}}</td>
   <td>{{Spec2('CSS3 Fragmentation')}}</td>
   <td>Extends <code>widows</code> to apply to any type of fragment, including pages, regions, or columns.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Multicol', '#filling-columns', 'widows')}}</td>
   <td>{{Spec2('CSS3 Multicol')}}</td>
   <td>Recommendations to consider <code>widows</code> in relation to columns.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'page.html#break-inside', 'widows')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.properties.widows")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("orphans")}}</li>
 <li><a href="/en-US/docs/Web/CSS/Paged_Media">Paged media</a></li>
</ul>
